<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:s="http://www.in2p3.fr/symod/schema">
    <xsl:output method="text"/>

    <xsl:template match="/s:entities">
digraph Schema {
            graph [rankdir="LR"];
            node [shape=record];
            edge [arrowsize=1];

            <xsl:text/>
        <xsl:for-each select="s:entity">
            <xsl:value-of select="@id"/> [label="<xsl:value-of select="@id"/>|Attributes<xsl:for-each select="s:A/s:value">\n<xsl:value-of select="@id"/></xsl:for-each>|Mesures<xsl:for-each select="s:M/s:value">\n<xsl:value-of select="@id"/></xsl:for-each>"];
            <xsl:for-each select="*/s:value[@foreignEntity]">
                <xsl:value-of select="ancestor::s:entity/@id"/> -> <xsl:value-of select="@foreignEntity"/>
                <xsl:if test="@id!=@foreignEntity"> [label="<xsl:value-of select="@id"/>"]</xsl:if>;
            </xsl:for-each>
        </xsl:for-each>
}
    </xsl:template>
</xsl:stylesheet>