#!/bin/sh

# set classpath
if test "$OS" = "Windows_NT" ; then SEP=";" ; else SEP=":" ; fi
CLASSPATH=.
for i in `ls lib/*.jar` ; do
  CLASSPATH="${CLASSPATH}${SEP}${i}"
done

# set java
if test -z "$JAVA_HOME" ; then
  JAVA=java
else
  JAVA="$JAVA_HOME/bin/java"
fi

if test -z "$1" ; then
  PORT="-Dsymod.port=18889"
else
  PORT="-Dsymod.port=$1"
fi

if test -z "$2" ; then
  USER_HOME=""
else
  USER_HOME="-Duser.home=$2"
fi

# run command
CMD="\"$JAVA\" -cp \"$CLASSPATH\" $PORT $USER_HOME fr.in2p3.symod.command.StartQbeServer $*"
eval $CMD
