<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sql="http://symod.in2p3.fr/sql" exclude-result-prefixes="sql"
                xmlns="http://symod.in2p3.fr/sql">
    <xsl:output method="text"/>
    <xsl:param name="md5">base64_md5_hash</xsl:param>

    <xsl:template match="/sql:query">
<xsl:text/>BEGIN
dbms_scheduler.create_job(
job_name => '"SYMOD_STOCK"."JF_<xsl:value-of select="$md5"/>"',
job_type => 'STORED_PROCEDURE',
job_action => '"SYMOD_STOCK"."F_<xsl:value-of select="$md5"/>"',
start_date => SYSDATE+2/1440,
job_class => '"DEFAULT_JOB_CLASS"',
auto_drop => TRUE,
enabled => FALSE);
dbms_scheduler.set_attribute( name => '"SYMOD_STOCK"."JF_<xsl:value-of select="$md5"/>"', attribute => 'logging_level', value => DBMS_SCHEDULER.LOGGING_FAILED_RUNS);
dbms_scheduler.enable( '"SYMOD_STOCK"."JF_<xsl:value-of select="$md5"/>"' );
END;<xsl:text/>
    </xsl:template>
</xsl:stylesheet>
