<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:cli="http://www.in2p3.fr/symod/cli">
    <xsl:output method="text"/>
    <xsl:variable name="entities" select="document('entities.xml')/*"/>

    <xsl:template match="/">
        <xsl:apply-templates select="cli:cli/cli:entities/cli:entity"/>
    </xsl:template>

    <xsl:template match="cli:entity">
        <xsl:variable name="id" select="@name"/>
        <xsl:for-each select="$entities/entity[@id=$id]">
            <xsl:for-each select="*/value">
                <xsl:value-of select="@id"/><xsl:text>
</xsl:text>
            </xsl:for-each>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>